## ros-humble-as2-ign-gazebo-assets 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME "as2_ign_gazebo_assets")
project(${PROJECT_NAME} VERSION 1.0.0)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

# IGNITION FORTRESS --> ROS2 GALACTIC
find_package(ignition-gazebo6 REQUIRED)
set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})

find_package(ignition-common4 REQUIRED COMPONENTS graphics)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})
find_package(ignition-fuel_tools7 REQUIRED)
find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})
find_package(ignition-msgs8 REQUIRED)
find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})
find_package(ignition-plugin1 REQUIRED COMPONENTS loader register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})
find_package(ignition-rendering6 REQUIRED)
set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})

# find dependencies
set(PROJECT_DEPENDENCIES
  ament_cmake
  ament_cmake_python
  ros_gz_sim
  ros_gz_bridge

  # CUSTOM BRIDGES
  rclcpp
  as2_core
  sensor_msgs
  geometry_msgs
  tf2_msgs
  tf2_ros
)

foreach(DEPENDENCY ${PROJECT_DEPENDENCIES})
  find_package(${DEPENDENCY} REQUIRED)
endforeach()

# GPS BRIDGE
find_package(ignition-msgs8 REQUIRED)
find_package(ignition-transport11 REQUIRED)

# ============================================================================
# Hooks
ament_environment_hooks("hooks/resource_paths.dsv.in")
ament_environment_hooks("hooks/resource_paths.sh")

# ============================================================================
# CPP
add_executable(gps_bridge src/gps_bridge.cpp)
ament_target_dependencies(gps_bridge
  rclcpp
  ros_gz_bridge
  as2_core
  sensor_msgs
  ignition-msgs8
  ignition-transport11
)

add_executable(ground_truth_bridge src/ground_truth_bridge.cpp)
ament_target_dependencies(ground_truth_bridge
  rclcpp
  ros_gz_bridge
  as2_core
  geometry_msgs
  ignition-msgs8
  ignition-transport11
)

add_executable(azimuth_bridge src/azimuth_bridge.cpp)
ament_target_dependencies(azimuth_bridge
  rclcpp
  ros_gz_bridge
  std_msgs
  as2_core
  sensor_msgs
  ignition-msgs8
  ignition-transport11
)

add_executable(object_tf_broadcaster src/object_tf_broadcaster.cpp)
ament_target_dependencies(object_tf_broadcaster
  rclcpp
  geometry_msgs
  tf2_msgs
  tf2_ros
  ros_gz_bridge
  ignition-msgs8
  ignition-transport11
)

install(TARGETS
  azimuth_bridge
  gps_bridge
  ground_truth_bridge
  object_tf_broadcaster
  DESTINATION lib/${PROJECT_NAME})

# ============================================================================
# Plugins
add_library(SuctionGripper SHARED
  plugins/SuctionGripper.cc
)
target_link_libraries(SuctionGripper PUBLIC
  ignition-gazebo${IGN_GAZEBO_VER}::core
  ignition-plugin${IGN_PLUGIN_VER}::ignition-plugin${IGN_PLUGIN_VER}
  ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

install(
  TARGETS SuctionGripper
  DESTINATION lib)

# ============================================================================
# Python modules
ament_python_install_package(
  ign_assets
  PACKAGE_DIR src/ign_assets
)

# ============================================================================
# Launchers
install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

# ============================================================================
# Resources
install(DIRECTORY
  worlds
  models
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
  scripts
  DESTINATION share/${PROJECT_NAME}
)

# ============================================================================
# Tests

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  set(_pytest_tests
    src/ign_assets/tests/test_models.py
    test/test_copyright.py
    # Add other test files here
  )
  foreach(_test_path ${_pytest_tests})
    get_filename_component(_test_name ${_test_path} NAME_WE)
    ament_add_pytest_test(${_test_name} ${_test_path}
      APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
      TIMEOUT 60
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
  endforeach()
endif()

ament_package()

=== debian/changelog ===
ros-humble-as2-ign-gazebo-assets (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-ign-gazebo-assets (1.0.3-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-ign-gazebo-assets (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #314 <https://github.com/aerostack2/aerostack2/issues/314> from aerostack2/313-payload-bridges-missing
    Payload bridges fix
  * fixes issue 313: payload bridges
  * Merge pull request #306 <https://github.com/aerostack2/aerostack2/issues/306> from aerostack2/as2_viz
    Added drone_viz sdf
  * added drone_viz sdf
  * Merge pull request #305 <https://github.com/aerostack2/aerostack2/issues/305> from aerostack2/300-add_sim_time_to_gps_bridge
    use_sim_time now works in gps bridge
  * use sim time now works in gps bridge
  * added grass world
  * Merge pull request #295 <https://github.com/aerostack2/aerostack2/issues/295> from aerostack2/290-add_gps_origin_from_json_file
    add gps origin from json file
  * now assets can be loaded from other directory
  * jinja always used, if it doesn't exist, sdf is used
  * add gps origin from json file
  * Merge pull request #286 <https://github.com/aerostack2/aerostack2/issues/286> from aerostack2/285-fix_python_list_type
    Changed typing list to List
  * changed list to List
  * Merge pull request #278 <https://github.com/aerostack2/aerostack2/issues/278> from aerostack2/229-as2_simulation_assets-earth-needs-to-be-alligned-in-enu-frame
    Change 0 deg reference from North to East
  * Change 0 deg reference from North to East
  * Merge pull request #266 <https://github.com/aerostack2/aerostack2/issues/266> from aerostack2/add_position_plugin_to_gates
    added position plugin to gates
  * added position plugin to gates
  * Clean gazebo on exit
  * Merge pull request #232 <https://github.com/aerostack2/aerostack2/issues/232> from aerostack2/launch_gz_v2
    Gazebo launcher engine refactored
  * Change assets simulation_config_file name
  * default empty value for joints and bridges
  * added pydantic dep
  * models splitted in several files
  * updated to new model
  * model refactor
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe, rdasilva01

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-ign-gazebo-assets (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #222 <https://github.com/aerostack2/aerostack2/issues/222> from aerostack2/221-gazebo-gui-config-file
    [as2_ign_gazebo_assets] Added GUI config file
  * gui config file and some documenting
  * Merge pull request #209 <https://github.com/aerostack2/aerostack2/issues/209> from aerostack2/208-as2_simulation_assets-use-sim-time-default-parameter
    [ as2_simulation_assets] Use sim time default parameter
  * Change use_sim_time default value
  * Merge pull request #203 <https://github.com/aerostack2/aerostack2/issues/203> from aerostack2/simulation_assets_for_windmill_test
    [as2_ign_gazebo_assets] added use_sim_time parameter
  * added use_sim_time parameter to ign_assets
  * Merge pull request #202 <https://github.com/aerostack2/aerostack2/issues/202> from aerostack2/new-windmill
    [as2_ign_gazebo_assets] Added debug model for visualize in rviz
  * added debug model for visualize in rviz
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-ign-gazebo-assets (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #174 <https://github.com/aerostack2/aerostack2/issues/174> from aerostack2/as2_simulation_assets_for_windmill_project
    [as2_simulation_assets] Windmill updates
  * ground truth bridge in cmakelist was missing
  * fix bug tf broadcaster
  * tf broadcaster renamed to object tf broadcaster
  * last changes
  * stop windmill gps reference frame from rotating when blades rotate aswell
  * object tf bridge added, windmill object finished
  * added controller for windmill in ros2
  * grass patch with sky added
  * joint controller bridge added, windmill joints controllable from ros2
  * added velocity controller to windmill for box
  * Merge remote-tracking branch 'origin' into as2_simulation_assets_for_windmill_project
  * Merge pull request #171 <https://github.com/aerostack2/aerostack2/issues/171> from aerostack2/ign_empty_gps
    [as2_ign_gazebo_assets] Add GPS coordinates to empty world
  * Add GPS coordinates to empty world
  * azimuth bridge added
  * added gps odometry for azimuth calculation, gps bridge for windmill
  * Merge pull request #145 <https://github.com/aerostack2/aerostack2/issues/145> from aerostack2/add_objects_ignition_enhancement
    Windmill + load objects with bridges
  * removed windmill world
  * Merge pull request #163 <https://github.com/aerostack2/aerostack2/issues/163> from aerostack2/crazyflie_swarm_demo
    Crazyflie swarm demo updates
  * Demo cf swarm updates
  * changes and bug fix
  * deleted comments
  * structural changes
  * fix, check for objects in json file
  * added working windmill model, added feature to load object with bridges into the world from config file
  * Merge pull request #124 <https://github.com/aerostack2/aerostack2/issues/124> from aerostack2/123-ground-truth-bridge-segmentation-fault
    Ground truth bridge segmentation fault fix
  * move publishers before ign subscriber
  * Merge pull request #114 <https://github.com/aerostack2/aerostack2/issues/114> from aerostack2/devel
    [all] Reduce packages and update names
  * Update namespace names
  * Rename ignition_assets to as2_ign_gazebo_assets


=== debian/control ===
Source: ros-humble-as2-ign-gazebo-assets
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-pytest, ros-humble-ament-cmake-python, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-as2-core, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-ros-gz-sim, ros-humble-sensor-msgs, ros-humble-tf2-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-ign-gazebo-assets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-jinja2, python3-pydantic, ros-humble-as2-core, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-ros-gz-sim, ros-humble-sensor-msgs, ros-humble-tf2-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Ignition Gazebo resources

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-ign-gazebo-assets//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
